Bug 215907 - [NEW PORT] devel/libaravis: glib/gobject based library for video acquisition using Genicam cameras
Summary: [NEW PORT] devel/libaravis: glib/gobject based library for video acquisition ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks: 210505
  Show dependency treegraph
 
Reported: 2017-01-09 14:16 UTC by rozhuk.im
Modified: 2017-05-20 00:19 UTC (History)
2 users (show)

See Also:


Attachments
libaravis port (9.12 KB, patch)
2017-01-09 14:16 UTC, rozhuk.im
no flags Details | Diff
update to 0.5.8 (9.12 KB, patch)
2017-04-14 01:51 UTC, rozhuk.im
no flags Details | Diff
update to 0.5.8 fix (9.14 KB, patch)
2017-04-14 02:09 UTC, rozhuk.im
no flags Details | Diff
add build-dep devel/gobject-introspection, plist updated (9.14 KB, patch)
2017-04-14 22:36 UTC, rozhuk.im
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description rozhuk.im 2017-01-09 14:16:43 UTC
Created attachment 178666 [details]
libaravis port

Aravis is a glib/gobject based library for video
acquisition using Genicam cameras.
It currently implements the gigabit ethernet and
USB3 (Since Aravis 0.5.x) protocols used by industrial
cameras. It also provides a basic ethernet camera
simulator and a simple video viewer.


WWW: https://github.com/AravisProject/aravis
Comment 1 rozhuk.im 2017-04-14 01:51:16 UTC
Created attachment 181773 [details]
update to 0.5.8
Comment 2 rozhuk.im 2017-04-14 02:09:38 UTC
Created attachment 181775 [details]
update to 0.5.8 fix
Comment 3 Kurt Jaeger freebsd_committer 2017-04-14 11:40:53 UTC
Testbuilds done, after some fixes to the pkg-plist.

If build on a loaded host that already has devel/gobject-introspection installed, the configure scripts finds it and adds

lib/girepository-1.0/Aravis-0.6.typelib
share/gir-1.0/Aravis-0.6.gir

to the STAGEDIR. If built using poudriere, it does not do this.

If the port needs those two files to work, then it needs a build-dep on
devel/gobject-introspection. Otherwise it needs some option to avoid the use of devel/gobject-introspection.
Comment 4 rozhuk.im 2017-04-14 22:36:51 UTC
Created attachment 181800 [details]
add build-dep devel/gobject-introspection, plist updated
Comment 5 rozhuk.im 2017-04-14 22:40:29 UTC
(In reply to Kurt Jaeger from comment #3)

About devel/gobject-introspection, I found bug: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=218453

I m not GTK expert and dont know how critical that tests fail and gir compilation/genereation in some gtk port fail too.
Can you see this too?
Comment 6 commit-hook freebsd_committer 2017-04-17 09:46:37 UTC
A commit references this bug:

Author: pi
Date: Mon Apr 17 09:46:06 UTC 2017
New revision: 438683
URL: https://svnweb.freebsd.org/changeset/ports/438683

Log:
  New port: devel/libaravis: glib/gobject based library for video acquisition using Genicam cameras

  Aravis is a glib/gobject based library for video acquisition using
  Genicam cameras.

  It currently implements the gigabit ethernet and USB3 (Since Aravis
  0.5.x) protocols used by industrial cameras. It also provides a
  basic ethernet camera simulator and a simple video viewer.

  WWW: https://github.com/AravisProject/aravis

  PR:		215907
  Submitted by:	rozhuk.im@gmail.com

Changes:
  head/devel/Makefile
  head/devel/libaravis/
  head/devel/libaravis/Makefile
  head/devel/libaravis/distinfo
  head/devel/libaravis/files/
  head/devel/libaravis/files/patch-src_arvgvdevice.c
  head/devel/libaravis/files/patch-src_arvgvinterface.c
  head/devel/libaravis/files/patch-src_arvrealtime.c
  head/devel/libaravis/pkg-descr
  head/devel/libaravis/pkg-message
  head/devel/libaravis/pkg-plist
Comment 7 Kurt Jaeger freebsd_committer 2017-04-17 10:05:37 UTC
Committed, thanks!